Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.graph.compose
Class Intersection

    java.lang.Object
      com.hp.hpl.jena.graph.impl.GraphBase
          com.hp.hpl.jena.graph.compose.CompositionBase
              com.hp.hpl.jena.graph.compose.Dyadic
                  com.hp.hpl.jena.graph.compose.Intersection

All Implemented Interfaces:
  Graph, GraphAdd, com.hp.hpl.jena.graph.impl.GraphWithPerform

    public class Intersection

extends Dyadic
implements Graph

an implementation of a dynamic intersection of two models.

Author:
  hedgehog

Field Summary

Fields inherited from interface com.hp.hpl.jena.graph.Graph
`emptyGraph`

Constructor Summary
`Intersection(Graph L, Graph R)`

Method Summary
`ExtendedIterator` | `graphBaseFind(TripleMatch s)` Answer an iterator over all the triples held in this graph's non-reified triple store that match `m`.
`void` | `performAdd(Triple t)` Add a triple to the triple store.
`void` | `performDelete(Triple t)` Remove a triple from the triple store.

Methods inherited from class com.hp.hpl.jena.graph.compose.Dyadic
`close, dependsOn, getL, getR, union`

Methods inherited from class com.hp.hpl.jena.graph.compose.CompositionBase
`butNot, ifIn, ifIn, recording, reject, rejecting, rejecting`

Methods inherited from class com.hp.hpl.jena.graph.impl.GraphBase
`add, contains, contains, delete, find, find, forTestingOnly_graphBaseFind, getBulkUpdateHandler, getCapabilities, getEventManager, getPrefixMapping, getReifier, getStatisticsHandler, getTransactionHandler, isClosed, isEmpty, isIsomorphicWith, notifyAdd, notifyDelete, queryHandler, size, toString, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.hp.hpl.jena.graph.Graph
`close, contains, contains, delete, dependsOn, find, find, getBulkUpdateHandler, getCapabilities, getEventManager, getPrefixMapping, getReifier, getStatisticsHandler, getTransactionHandler, isClosed, isEmpty, isIsomorphicWith, queryHandler, size`

Methods inherited from interface com.hp.hpl.jena.graph.GraphAdd
`add`

Constructor Detail

### Intersection

    public Intersection(Graph L,
                        Graph R)

Method Detail

### performAdd

    public void performAdd(Triple t)

  Description copied from class: `com.hp.hpl.jena.graph.impl.GraphBase`
  Add a triple to the triple store. The default implementation throws an AddDeniedException; subclasses must override if they want to be able to add triples.

  Specified by:
    `performAdd` in interface `com.hp.hpl.jena.graph.impl.GraphWithPerform`
  Overrides:
    `performAdd` in class `com.hp.hpl.jena.graph.impl.GraphBase`

### performDelete

    public void performDelete(Triple t)

  Description copied from class: `com.hp.hpl.jena.graph.impl.GraphBase`
  Remove a triple from the triple store. The default implementation throws a DeleteDeniedException; subclasses must override if they want to be able to remove triples.

  Specified by:
    `performDelete` in interface `com.hp.hpl.jena.graph.impl.GraphWithPerform`
  Overrides:
    `performDelete` in class `com.hp.hpl.jena.graph.impl.GraphBase`

### graphBaseFind

    public ExtendedIterator graphBaseFind(TripleMatch s)

  Description copied from class: `com.hp.hpl.jena.graph.impl.GraphBase`
  Answer an iterator over all the triples held in this graph's non-reified triple store that match `m`. Subclasses must override; it is the core implementation for `find(TripleMatch)`.

  Specified by:
    `graphBaseFind` in class `com.hp.hpl.jena.graph.impl.GraphBase`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP